Bug 494724 - gnome-panel interacts badly with vertical dual-head
gnome-panel interacts badly with vertical dual-head
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 17:50 EDT by Hezekiah M. Carty
Modified: 2010-06-28 07:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 485722
Environment:
Last Closed: 2010-06-28 07:44:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hezekiah M. Carty 2009-04-07 17:50:14 EDT
+++ This bug was initially created as a clone of Bug #485722 +++

Description of problem:

I have a dual-head system (laptop screen plus external LCD panel stacked vertically above it) and two panels. Initially these were at the top and bottom of the laptop screen. When I added the external LCD and tried to reposition the panels to take account of the new configuration, I found:

Problem (1) from the original bug report does not seem to affect me under Fedora 11/rawhide.

2) The panel at the top of the laptop screen (the one at slightly under half the height of the full virtual screen) doesn't provide a 'barrier' to the
positioning of newly opened windows. ie in the former single-screen
arrangement, the top of newly-opened windows would always be just below
the top panel, so they don't overlap with the panel. In the dual-head setup, windows which
open in the bottom screen have their top at the top of the screen,
*under* the panel. This means you can't do anything with the window until
you've ctl-dragged it down a bit, which is intensely annoying (!).

3) Similar to (3) in the cloned bug report, sometimes panels will end up stacked, one on top of the other.  This happens reproducibly when changing the monitor layout repeatedly:

3a. Connect and enable an external display to the right of the main display
3b. Change the external display to be above the main display
3c. Disable the external display
3d. Enable the external display, again to the right of the internal display

The above steps, or something similar, causes the problem for me every time.


Version-Release number of selected component (if applicable):
gnome-panel-devel-2.26.0-1.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Use two vertically stacked displays
2. See (3) above for specific steps
  
Actual results:
One Gnome panel obscuring the other

Expected results:
Both Gnome panels next to one another vertically, with no obstruction

Additional info:
Comment 1 Bug Zapper 2009-06-09 09:27:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Christopher Beland 2010-01-25 10:40:05 EST
Problem (2) is also described in Bug 522811, and affects Fedora 12 (gnome-panel-2.28.0-16.fc12.i686 here).

I'm not sure if (3) refers to overlapping panels or panels that are vertically stacked in a 2D sense.  The latter might be a natural consequence of having panels from multiple monitors dumped into a single monitor?
Comment 3 Bug Zapper 2010-04-27 09:33:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:44:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.